API ReferenceVideo
Download video content
Downloads the binary content of a generated video. The video must have a status of "completed" to be downloadable. Returns the raw video file (typically MP4 format).
AuthorizationBearer <token>
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Path Parameters
video_id*string
Video ID in format id:provider (e.g., video_abc123:openai)
Query Parameters
variant?string
Variant of the video content to download (provider-specific)
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/videos/string/content""string"{ "event_id": "string", "type": "string", "is_bifrost_error": true, "status_code": 0, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "event_id": "string" }, "extra_fields": { "provider": "openai", "model_requested": "string", "request_type": "string" }}{ "event_id": "string", "type": "string", "is_bifrost_error": true, "status_code": 0, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "event_id": "string" }, "extra_fields": { "provider": "openai", "model_requested": "string", "request_type": "string" }}{ "event_id": "string", "type": "string", "is_bifrost_error": true, "status_code": 0, "error": { "type": "string", "code": "string", "message": "string", "param": "string", "event_id": "string" }, "extra_fields": { "provider": "openai", "model_requested": "string", "request_type": "string" }}